Commit 45c4d535 authored by Gerd Stolpmann's avatar Gerd Stolpmann

prep release

parent d1a0b192
......@@ -7,8 +7,8 @@
# How to invoke compilers and tools:
# (May be moved to Makefile.conf if necessary)
OCAMLC = $(OCAMLFIND) ocamlc -g -safe-string $(OCAMLC_OPTIONS) $(INCLUDES)
OCAMLOPT = $(OCAMLFIND) ocamlopt -safe-string $(OCAMLOPT_OPTIONS) $(INCLUDES)
OCAMLC = $(OCAMLFIND) ocamlc -g $(OCAMLC_OPTIONS) $(INCLUDES)
OCAMLOPT = $(OCAMLFIND) ocamlopt -g $(OCAMLOPT_OPTIONS) $(INCLUDES)
OCAMLDEP = $(OCAMLFIND) ocamldep $(OCAMLDEP_OPTIONS)
OCAMLFIND = ocamlfind
OCAMLYACC = ocamlyacc
......
......@@ -326,6 +326,19 @@ if [ "$enable_findlib" -gt 0 ]; then
fi
fi
######################################################################
# immutable strings
printf "%s" "Checking for -safe-string... "
string_opts=""
if ocamlc -safe-string; then
echo "yes"
string_opts="-safe-string"
else
echo "no"
fi
######################################################################
# Check that options are sane
......@@ -771,10 +784,10 @@ INCLUDES = $includes
LIBS_CMA = $libs_cma
# Additional options only for ocamlc:
OCAMLC_OPTIONS =
OCAMLC_OPTIONS = $string_opts
# Additional options only for ocamlopt:
OCAMLOPT_OPTIONS =
OCAMLOPT_OPTIONS = $string_opts
# Where wdialog is to be installed (non-findlib):
LIBDIR = $libdir
......
......@@ -4,8 +4,6 @@ set -e
version=`./configure -version 2>/dev/null`
destdir="wdialog-$version"
trunk="https://godirepo.camlcity.org/svn/wdialog/trunk"
tag="https://godirepo.camlcity.org/svn/wdialog/tags/$destdir"
make _oasis
......@@ -16,20 +14,25 @@ cp doc/INSTALL .
makepkg -spec wdialog.files -intree . -outtree "packages/$destdir"
(cd packages; tar czf "$destdir.tar.gz" "$destdir")
# Checking for svn:
master="$(git branch | grep '* master')"
if [ -z "$master" ]; then
echo "Error: not on master branch"
exit 1
fi
status=$(svn status | grep -v '^\?' || true )
status="$(git status -uno -s)"
if [ -n "$status" ]; then
echo "Error: svn status not clean"
echo "Error: git status not clean"
exit 1
else
printf "Tag revision (y/n)? "
read answer
case "$answer" in
y|Y|yes|YES)
svn cp "$trunk" "$tag"
echo "New tag: $tag"
git tag -a -m "wdialog-$version" wdialog-$version
git push --tags origin master
echo "New tag: wdialog-$version"
;;
*)
echo "Nothing tagged."
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment